Subject: RE: [Xen-devel] Re: xen PV on HVM and initial domain merge in linux-next

From: Dan Magenheimer <[email-masked]>
Date: Wed, 20 Oct 2010 08:11:29 -0700 (PDT)

> Not following the Xen develpment at all, I would like to have a
> positive reply from the listed Xen contacts, please,

I am not officially listed as a maintainer for Xen, but fwiw:

Acked-by: Dan Magenheimer <[email-masked]>

And, Stephen, I think Chris Wright and [email-masked]
are stale entries in the MAINTAINERS file for Xen development,
so you are unlikely to receive replies from him/them.
(Chris, [email-masked] ... please feel free
to correct me if I am wrong.)

> -----Original Message-----
> From: Stephen Rothwell [mailto:[email-masked]]
> Sent: Tuesday, October 19, 2010 6:33 PM
> To: Stefano Stabellini
> Cc: [email-masked]; Jeremy Fitzhardinge; Konrad
> Rzeszutek Wilk; [email-masked]; Chris Wright;
> [email-masked]; [email-masked]; Andrew
> Morton
> Subject: [Xen-devel] Re: xen PV on HVM and initial domain merge in
> linux-next
> 
> Hi Stefano,
> 
> [just casting the net a bit wider ...]
> 
> On Tue, 19 Oct 2010 18:51:47 +0100 Stefano Stabellini
> <[email-masked]> wrote:
> >
> > I forgot to CC the LKML and linux-next...
> >
> > On Tue, 19 Oct 2010, Stefano Stabellini wrote:
> > > Stephen,
> > > I have two patch series to merge in linux-next:
> > >
> > > PV on HVM: receive interrupts as xen events
> > > xen: initial domain support
> > >
> > > they have all the acked-by needed and are both stable since several
> > > weeks, however they depend on Konrad's xen-pcifront series and for
> this
> > > reason I waited until now to ask for a merge in linux-next.
> > >
> > > Could you please pull:
> > >
> > > git://xenbits.xen.org/people/sstabellini/linux-pvhvm.git linux-
> next-initial-domain-v4
> > >
> > > it contains both series rebased on Konrad's pcifront series merged
> on
> > > linux-next (warning: it still contains the merge commit of
> > > xen-pcifront-0.8.2 in linux-next).
> > > Let me know if you have any conflicts or if you need me to change
> the
> > > branch somehow.
> 
> Not following the Xen develpment at all, I would like to have a
> positive
> reply from the listed Xen contacts, please,
> 
> I do have concerns that this is turning up so late, but I realise that
> that is mainly due to a misunderstanding on the part of some of the Xen
> community.
> 
> Also, the above tree is based on next-20101019 which means that I
> cannot
> use it as is.  All the trees merged into linux-next must be base on
> some
> other stable tree (almost always Linus' tree).  linux-next is rebuilt
> from scratch every day, so I cannot ever include a previous day's
> version.
> 
> Merging in other stable trees is OK (as long as the other maintainer is
> aware of that and makes sure that their tree does not reabse).
> 
> Basically what you send to me should be what you intend to send to
> Linus
> during the next merge window.
> 
> --
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/